Subject: RE:Re: Electric Blanket trouble #Ref 2021030500090610
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 10 Mar 2021 06:57:31 -0800

Hi Stephanie,

I am sorry, I tried calling you too, and there was no answer.  The Voice Messages should be distributed among the Team who handles electric product calls, and someone should be reaching out to you.  Just keep trying to get through.

Your having issues with the controller reading an E error code,  is your controller plugged into any power bar strip, surge bar protector or ext cord?

Thank you,

Erlinda

Senior Customer Service Rep

Designer Living & Electric Product

===============================================================================

Hello,

I called twice today and left a message and nobody ever called me back or picked up. It just kept saying to leave a message. Anything else I can do?

Thank you,

Stephanie

On Mon, Mar 8, 2021 at 6:57 PM [email-masked] <[email-masked]> wrote:

Hello Stephanie,

I am sorry to hear this, please call our CS Team at 1-866-456-8852.  Our hours are M-F 7am to 3:30 pm PST.   Your previous claim number is C20395619.

Thank you,

Erlinda

Senior Customer Service Rep

Designer Living & Electric Product

===============================================================================

Hello,
My name is Stephanie Abbate and I recently received a blanket from your company. I am having a lot of trouble with this blanket. It constantly flashes E4 or just E. I have tried unplugging it, plugging it back in, etc. I would appreciate if there’s anything you guys can do for me. Please get back to me at your earliest convenience.

Thank you,
Stephanie Abbate